MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025558Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-12-05 12:202015-05-14 15:32
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025558: It is impossible to restore attached shape
DescriptionRestoration of attached shape leads writing out of memory:

1640 void BSplCLib::GetPole(const Standard_Integer Index,
...
1651 for (k = 0; k < Dimension; k++) {
1652 Pole(Position) = pole[k];
1653 Position++;
1654 }

This situation caused by "PrepareInsertKnots" function in the same file, where new knot count computed.

Steps To Reproducerestore faulty.brep
TagsNo tags attached.
Test case numberbugs fclasses(002) bug25558
Attached Files? file icon faulty.brep (9,692 bytes) 2014-12-05 12:21

- Relationships

-  Notes
(0035052)
git (administrator)
2014-12-05 12:26

Branch CR25558 has been created by aml.

SHA-1: 732364487f759308f14a74c9ed2d562e49b27d66


Detailed log of new commits:

Author: aml
Date: Fri Dec 5 12:24:45 2014 +0300

    0025558: It is impossible to restore attached shape
    
    Condition of adding one last knot corrected.
(0035053)
aml (developer)
2014-12-05 12:27

Dear abv,
Please check current state of branch CR25558.
(0035064)
git (administrator)
2014-12-05 14:49

Branch CR25558 has been updated forcibly by aml.

SHA-1: cb3eb7389fdd95a879ba28885581573fa540ced3
(0035101)
abv (manager)
2014-12-07 13:09

No remarks, please test
(0035230)
git (administrator)
2014-12-09 17:55

Branch CR25558 has been updated forcibly by apv.

SHA-1: 17aa22dd4e4497688c8db73a7fd2cb0aa53f80fa
(0035231)
apv (tester)
2014-12-09 17:56

Branch CR25558 has been rebased on the current master
(0035278)
git (administrator)
2014-12-10 17:39

Branch CR25558 has been updated by apv.

SHA-1: 3e428a33c3fde454bf6cac10b6a9aba48c0e11bf


Detailed log of new commits:

Author: apv
Date: Wed Dec 10 17:39:22 2014 +0300

    Test-case for issue 0025558

(0035279)
apv (tester)
2014-12-10 17:42

Dear BugMaster,

Branch CR25558 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 17aa22dd4e4497688c8db73a7fd2cb0aa53f80fa

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs fclasses(002) bug25558 - OK
http://occt-tests/CR25558-master-occt/Debian60-64/bugs/fclasses/bug25558.html [^]
http://occt-tests/CR25558-master-occt/Windows-32-VC10/bugs/fclasses/bug25558.html [^]

Testing on Linux:
Total MEMORY difference: 364074712 / 363562240
Total CPU difference: 47239.96000000008 / 47537.4299999999

Testing on Windows:
Total MEMORY difference: 277027136 / 277181316
Total CPU difference: 36424.1875 / 41681.890625
(0036577)
git (administrator)
2015-01-26 12:35

Branch CR25558 has been deleted by inv.

SHA-1: 3e428a33c3fde454bf6cac10b6a9aba48c0e11bf

- Related Changesets
occt: master 70d08ce5
Timestamp: 2014-12-11 13:40:37
Author: aml
Committer: bugmaster
Details ] Diff ]
0025558: It is impossible to restore attached shape

Condition of adding one last knot corrected.

Test-case for issue 0025558
mod - src/BSplCLib/BSplCLib.cxx Diff ] File ]
add - tests/bugs/fclasses/bug25558 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-05 12:20 aml New Issue
2014-12-05 12:20 aml Assigned To => aml
2014-12-05 12:21 aml File Added: faulty.brep
2014-12-05 12:25 aml Relationship added related to 0022598
2014-12-05 12:26 git Note Added: 0035052
2014-12-05 12:27 aml Note Added: 0035053
2014-12-05 12:27 aml Assigned To aml => abv
2014-12-05 12:27 aml Status new => resolved
2014-12-05 14:49 git Note Added: 0035064
2014-12-07 13:09 abv Note Added: 0035101
2014-12-07 13:09 abv Assigned To abv => bugmaster
2014-12-07 13:09 abv Status resolved => reviewed
2014-12-08 11:06 mkv Assigned To bugmaster => apv
2014-12-09 17:55 git Note Added: 0035230
2014-12-09 17:56 apv Note Added: 0035231
2014-12-10 17:39 git Note Added: 0035278
2014-12-10 17:40 apv Test case number => bugs fclasses(002) bug25558
2014-12-10 17:42 apv Note Added: 0035279
2014-12-10 17:42 apv Assigned To apv => bugmaster
2014-12-10 17:42 apv Status reviewed => tested
2014-12-16 16:46 bugmaster Changeset attached => occt master 70d08ce5
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.0.0 => 6.9.0
2015-01-26 12:35 git Note Added: 0036577
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker